package cn.com.qmth.examcloud.core.oe.task.service;

import cn.com.qmth.examcloud.core.oe.task.service.bean.CalculateFaceCheckResultInfo;
import cn.com.qmth.examcloud.core.oe.task.service.bean.ExamCaptureQueueInfo;

/**
 * @Description 照片处理结果
 * @Author lideyin
 * @Date 2019/12/11 14:45
 * @Version 1.0
 */
public interface ExamCaptureService {

    void saveExamCaptureAndDeleteQueue(ExamCaptureQueueInfo examCaptureQueue);

    /**
     * 计算人脸检测结果
     *
     * @param examRecordDataId
     * @return
     */
    CalculateFaceCheckResultInfo calculateFaceCheckResult(Long examRecordDataId);

}
